package com.stericson.RootShell.execution;

import android.content.Context;

public class JavaCommand
  extends Command
{
  public JavaCommand(int paramInt1, int paramInt2, Context paramContext, String... paramVarArgs)
  {
    super(paramInt1, paramInt2, paramVarArgs);
    this.context = paramContext;
    this.javaCommand = true;
  }
  
  public JavaCommand(int paramInt, Context paramContext, String... paramVarArgs)
  {
    super(paramInt, paramVarArgs);
    this.context = paramContext;
    this.javaCommand = true;
  }
  
  public JavaCommand(int paramInt, boolean paramBoolean, Context paramContext, String... paramVarArgs)
  {
    super(paramInt, paramBoolean, paramVarArgs);
    this.context = paramContext;
    this.javaCommand = true;
  }
  
  public void commandCompleted(int paramInt1, int paramInt2) {}
  
  public void commandOutput(int paramInt, String paramString)
  {
    super.commandOutput(paramInt, paramString);
  }
  
  public void commandTerminated(int paramInt, String paramString) {}
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/stericson/RootShell/execution/JavaCommand.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */